var db = require("../db/pool");
var _ = require('lodash');
var helper = require("../tools/helper");

/**
 * 项目相关接口
 */
module.exports = {
    // 获取全部的长度
    getCount: helper.listAllBuilder('project', {
        lengrh: { $count: 'p_id' }
    }, {}, (x) => {
        if (_.isArray(x) && !_.isEmpty(x)) {
            return x[0];
        } else {
            return x;
        }
    }),
    // 获取全部列表
    getList: helper.listAllBuilder('project', '*', {}),
    // 获取分页列表
    getPagedList: (req, res) => {
        //
    },
    //新建更新数据
    saveProject: helper.saveBuilder('project', 'p_id'),
};